camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Willem Jiang (JIRA)" <j...@apache.org>
Subject [jira] Commented: (CAMEL-3228) Dozer should support OSGi and work with Apache Camel
Date Wed, 12 Jan 2011 01:22:46 GMT

    [ https://issues.apache.org/jira/browse/CAMEL-3228?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12980482#action_12980482
] 

Willem Jiang commented on CAMEL-3228:
-------------------------------------

@Dmitry,

If you take a look at the CamelContext.xml[1] of the camel dozer osgi test, you will find
we used the DozerTypeConverterLoader for testing.
And the configuration of replacing the SPI cannot help me to replace the DozerClassLoader
with the instance of Camel one.

Please update the code of  DozerBeanMapper to help us inject the class loader of camel.
[1]https://svn.apache.org/repos/asf/camel/trunk/tests/camel-itest-osgi/src/test/resources/org/apache/camel/itest/osgi/dozer/CamelContext.xml

> Dozer should support OSGi and work with Apache Camel
> ----------------------------------------------------
>
>                 Key: CAMEL-3228
>                 URL: https://issues.apache.org/jira/browse/CAMEL-3228
>             Project: Camel
>          Issue Type: Improvement
>            Reporter: Konstantin Buzdin
>            Assignee: Willem Jiang
>             Fix For: 2.7.0
>
>         Attachments: CAMEL-3228_-_Upgrade_to_Dozer_5_3_0_.patch, dozer-osgi-5.3.0.jar,
pom.xml
>
>
> Dozer 5.3.0 has been released. It has changes in internal API, which make usage of dozer-camel
impossible with the most recent version.
> As Dozer maintainer I could contribute a patch upgrading camel-dozer module to use 5.3.0.


-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message